Subject: Re: Vendor attributes in TE LSAs - (Sent first reply prematurely)

From: Acee Lindem <[email-masked]>
Date: Wed, 28 May 2003 00:37:25 -0400

References: <[email-masked]> <[email-masked]>
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Transfer-Encoding: 7bit

Udo,

Aside from any technical details, I don't agree with this draft
philosophically. In essence, it is a proposal to standardise on
a mechanism to be non-standard. More specifically, it removes
the OSPF WG, TE WG, and IETF in general from reviewing the vendor
specific TLVs. The contents, size, and refresh rate of these TLVs
are unknown.

By definition, there is no interoperability. The same set of problems
will undoubtedly be solved in multiple ways by different vendors using
different vendor specific TLV encodings.

Acee Lindem wrote:
> Udo,
>
> I don't support this enhancement since it essentially removes any
>
>
> Udo Neustadter wrote:
>
>> Hi all,
>>
>> I am working on a GMPLS implementation, and part of my problem is the
>> addition of company specific data to the TE LSAs. The Internet-Draft
>> http://www.ietf.org/internet-drafts/draft-udo-ospf-vendatt-00.txt
>> proposes an interoperable way to solve the following two issues:
>>   1. Companies that already applied with IANA for an SMI Network
>> management enterprise code do not need to re-apply for sub-TLV values
>> from the pool of numbers reserved for private use
>>   2. Allows private attributes/data to be embedded in the TE router LSA
>> (the one TE LSA that contains the router address TLV).
>>
>> I would like for the draft to be considered part of this working group.
>> This work is an extension to the work done in
>> http://www.ietf.org/internet-drafts/draft-katz-yeung-ospf-traffic-09.txt
>> and
>> http://www.ietf.org/internet-drafts/draft-ietf-ccamp-ospf-gmpls-extensio
>> ns-09.txt.
>>
>> Thanks in advance for your support.
>>
>> Udo
>>
>
>
> --
> Acee
>

--
Acee

---

From: Jeff Parker <[email-masked]>
Date: Wed, 28 May 2003 09:39:33 -0400

Vishwas -
        I don't see anyone saying that there will be confusion about who
"owns" a subtlv.  I think the issue is that if company X devises a way to
convey, say, stoats and weasels in a TLV, and company B devises a way to
convey weasels and ferrets, we will not have a way for the weasels to
interoperate.  All of this will be done under the wraps, and the IETF and WG
will never get a chance to point out that the ferret scheme doesn't scale,
or that there is already a way to convey stoats, or that maybe weasels don't
belong in an IGP: perhaps due to "size, and refresh rate" type of issues.

- jeff parker

> Hi Acee,
>
> Though you can have vendor specific TLV encodings, the
> issue is there may be a clash in the TLV or Sub-TLV values.
>
> By using an SMI enterprise code or OUI to distinguish
> between various vendor specific implementations, we
> have one value that can be used by vendors instead of
> taking any TLV values, and we do not confuse information
> by various vendors, which are used for different purposes.
>
> Thanks,
> Vishwas
>
> -----Original Message-----
> From: Acee Lindem [mailto:[email-masked]]
>